Name:           emerald
URL:            http://www.compiz-fusion.org/
License:        GPLv2
Group:          User Interface/Desktops
Version:        0.8.4
Release:        7%{?dist}

Summary:        Themeable window decorator and compositing manager for Compiz Fusion
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
Patch0:         DSO.patch
Patch1:         gtk.patch
Patch2:         05_build_without_gtk_disable_deprecated.patch
Patch3:         emerald-1d92f64287cded4310c49d7ac64064f75f348506.patch

# compiz-devel is not available on these arches
ExcludeArch:    s390 s390x

Requires:       compiz >= %{version}

BuildRequires:  compiz-devel >= %{version}
BuildRequires:  gtk+-devel
BuildRequires:  libwnck-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool 
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser) 
BuildRequires:  gettext-devel
BuildRequires:  libXres-devel


%description
Emerald is themeable window decorator and compositing
manager for Compiz.


%package devel
Summary: Development files for emerald
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The emerald-devel package provides development files
for emerald, the themeable window decorator for Compiz.


%prep
%setup -q
%patch0 -p1 -b .DSO
%patch1 -p1 -b .gtk
%patch2 -p1 -b .05_build_without_gtk_disable_deprecated
%patch3 -p1 -b .emerald-1d92f64287cded4310c49d7ac64064f75f348506

%build
%configure --enable-librsvg --disable-mime-update
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applications/emerald-theme-manager.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/emerald
%{_libdir}/emerald/*
%{_libdir}/libemeraldengine.so.*
%dir %{_datadir}/emerald
%dir %{_datadir}/emerald/theme
%{_datadir}/emerald/theme/*
%{_datadir}/emerald/settings.ini
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libemeraldengine.so

%changelog
* Sun Nov 14 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-7
- apply more upstream gtk deprecated fixes

* Fri Sep 10 2010 leigh scott <leigh123linux@googlemail.com> - 0.8.4-6
- revert last commit

* Fri Sep 10 2010 leigh scott <leigh123linux@googlemail.com> - 0.8.4-5
- add upstream patch to hopefully fix 

* Sun May 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-4
- apply the upstream gtk deprecated fixes

* Thu Feb 18 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-3
- fix DSO link problem
- fix gtk deprecated error

* Sun Jan 17 2010 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.8.4-2
- add build requires for gtk+

* Sun Jan 17 2010 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.8.4-1
- new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 20 2009 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.8.2-1
- New upstream
- Added build requires for libXres-devel( BZ#496969)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 1 2009 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.7.8-1
- Minor bugfixes
- L10N updates
- Droping .desktop file patch ( now upsteam ) 

* Tue Jul 15 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.7.6-2
- rebuild for ppc64

* Fri Jul 11 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.7.6-1
- new upstream release
- removed gcc43 patch(upstream)
- added .desktop file patch(fixes bz 286141)
- spec file clean up

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.2-4
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-3
- Fix gcc43 build

* Mon Oct 08 2007 Jarod Wilson <jwilson@redhat.com> 0.5.2-2
- Disable ppc64 build (no compiz-devel.ppc64)

* Mon Oct 08 2007 Jarod Wilson <jwilson@redhat.com> 0.5.2-1
- New upstream release
- Should work with latest compiz bits in Fedora

* Mon Jun 11 2007 Jarod Wilson <jwilson@redhat.com> 0.2.1-2
- Fix up build against latest libwnck

* Mon Jun 04 2007 Jarod Wilson <jwilson@redhat.com> 0.2.1-1
- beryl 0.2.1

* Thu Mar 15 2007 Jarod Wilson <jwilson@redhat.com> 0.2.0-1
- beryl 0.2.0

* Tue Feb 20 2007 Jarod Wilson <jwilson@redhat.com> 0.1.9999.2-1
- beryl 0.1.9999.2 (aka 0.2.0-rc2)

* Mon Feb 05 2007 Jarod Wilson <jwilson@redhat.com> 0.1.9999.1-1
- beryl 0.1.9999.1 (aka 0.2.0-rc1)

* Mon Jan 29 2007 Jarod Wilson <jwilson@redhat.com> 0.1.99.2-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 0.1.4-1
- New upstream release

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 0.1.3-2
- Add necessary BR for freshly-added translations

* Tue Dec 12 2006 Jarod Wilson <jwilson@redhat.com> 0.1.3-1
- New upstream release

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-4
- Trim BR:

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-3
- Kill rpaths

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-2
- Use upstream tarball, now that there is one

* Fri Nov 10 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-1
- New upstream release

* Tue Oct 31 2006 Jarod Wilson <jwilson@redhat.com> 0.1.1-2
- Add missing BR: libtool, gettext-devel, libwnck-devel,
  libXdamage, libXcomposite

* Thu Oct 26 2006 Jarod Wilson <jwilson@redhat.com> 0.1.1-1
- New upstream release
- Require beryl-core of at least the same version
- Move autoreconf bits to prep section

* Thu Oct 05 2006 Jarod Wilson <jwilson@redhat.com> 0.1.0-3
- Really fix the duplicate menu entries this time

* Thu Oct 05 2006 Jarod Wilson <jwilson@redhat.com> 0.1.0-2
- Fix duplicate menu entries

* Tue Oct 03 2006 Jarod Wilson <jwilson@redhat.com> 0.1.0-1
- Initial Fedora build
